<?php 
require_once("../conexao.php");
@session_start();
$id_usuario = $_SESSION['id_usuario'];

$home = 'ocultar';
$configuracoes = 'ocultar';

//grupo cadastros
$usuarios = 'ocultar';
$clientes = 'ocultar';
$bancos = 'ocultar';
$niveis = 'ocultar';
$bancarias = 'ocultar';
$cat_despesas = 'ocultar';
$despesas = 'ocultar';
$frequencias = 'ocultar';
$formas_pgtos = 'ocultar';
$grupos = 'ocultar';
$acessos = 'ocultar';

//grupo produtos
$produtos = 'ocultar';
$categorias = 'ocultar';
$fornecedores = 'ocultar';

//grupo financeiro
$movimentacoes = 'ocultar';
$contas_pagar = 'ocultar';
$contas_receber = 'ocultar';
$contas_despesa = 'ocultar';
$caixa = 'ocultar';


//grupo vendas
$lista_vendas = 'ocultar';
$lista_compras = 'ocultar';



//grupo rel
$rel_mov = 'ocultar';
$rel_lucro = 'ocultar';
$rel_lucro_pago = 'ocultar';
$rel_produtos = 'ocultar';

$query = $pdo->query("SELECT * FROM usuarios_permissoes where usuario = '$id_usuario'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$total_reg = @count($res);
if($total_reg > 0){
	for($i=0; $i < $total_reg; $i++){
		foreach ($res[$i] as $key => $value){}
		$permissao = $res[$i]['permissao'];

		$query2 = $pdo->query("SELECT * FROM acessos where id = '$permissao'");
		$res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
		$nome = $res2[0]['nome'];
		$chave = $res2[0]['chave'];
		$id = $res2[0]['id'];

		if($chave == 'home'){
			$home = '';
		}

		if($chave == 'configuracoes'){
			$configuracoes = '';
		}

		


		if($chave == 'usuarios'){
			$usuarios = '';
		}


		if($chave == 'clientes'){
			$clientes = '';
		}


		if($chave == 'bancos'){
			$bancos = '';
		}

		if($chave == 'niveis'){
			$niveis = '';
		}

		if($chave == 'bancarias'){
			$bancarias = '';
		}

		if($chave == 'cat_despesas'){
			$cat_despesas = '';
		}

		if($chave == 'despesas'){
			$despesas = '';
		}

		if($chave == 'frequencias'){
			$frequencias = '';
		}

		if($chave == 'formas_pgtos'){
			$formas_pgtos = '';
		}

		if($chave == 'grupos'){
			$grupos = '';
		}

		if($chave == 'acessos'){
			$acessos = '';
		}







		if($chave == 'produtos'){
			$produtos = '';
		}

		if($chave == 'categorias'){
			$categorias = '';
		}

		if($chave == 'fornecedores'){
			$fornecedores = '';
		}

		



		if($chave == 'movimentacoes'){
			$movimentacoes = '';
		}

		if($chave == 'contas_pagar'){
			$contas_pagar = '';
		}

		if($chave == 'contas_receber'){
			$contas_receber = '';
		}

		if($chave == 'contas_despesa'){
			$contas_despesa = '';
		}

		if($chave == 'caixa'){
			$caixa = '';
		}






		if($chave == 'lista_vendas'){
			$lista_vendas = '';
		}

		if($chave == 'lista_compras'){
			$lista_compras = '';
		}




		if($chave == 'rel_mov'){
			$rel_mov = '';
		}

		if($chave == 'rel_lucro'){
			$rel_lucro = '';
		}



		if($chave == 'rel_lucro_pago'){
			$rel_lucro_pago = '';
		}

		if($chave == 'rel_produtos'){
			$rel_produtos = '';
		}





	}

}



$pag_inicial = '';
if($home != 'ocultar'){
	$pag_inicial = 'home';
}else{
	$query = $pdo->query("SELECT * FROM usuarios_permissoes where usuario = '$id_usuario'");
	$res = $query->fetchAll(PDO::FETCH_ASSOC);
	$total_reg = @count($res);	
	if($total_reg > 0){
		for($i=0; $i<$total_reg; $i++){
			$permissao = $res[$i]['permissao'];		
			$query2 = $pdo->query("SELECT * FROM acessos where id = '$permissao'");
			$res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
			if($res2[0]['pagina'] == 'Não'){
				continue;
			}else{
				$pag_inicial = $res2[0]['chave'];
				break;
			}	
				
		}
				

	}else{
		echo 'Você não tem permissão para acessar nenhuma página, acione o administrador!';
		exit();
	}
}



if($usuarios == 'ocultar' and $clientes == 'ocultar' and $bancos == 'ocultar' and $niveis == 'ocultar' and $bancarias == 'ocultar' and $cat_despesas == 'ocultar' and $despesas == 'ocultar' and $frequencias == 'ocultar' and $formas_pgtos == 'ocultar' and $grupos == 'ocultar' and $acessos == 'ocultar'){
	$menu_cadastros = 'ocultar';
}else{
	$menu_cadastros = '';
}





if($produtos == 'ocultar' and $categorias == 'ocultar' and $fornecedores == 'ocultar'){
	$menu_produtos = 'ocultar';
}else{
	$menu_produtos = '';
}



if($movimentacoes == 'ocultar' and $contas_pagar == 'ocultar' and $contas_receber == 'ocultar' and $contas_despesa == 'ocultar' and $caixa == 'ocultar'){
	$menu_financeiro = 'ocultar';
}else{
	$menu_financeiro = '';
}




if($lista_vendas == 'ocultar' and $lista_compras == 'ocultar'){
	$menu_vendas = 'ocultar';
}else{
	$menu_vendas = '';
}


if($rel_mov == 'ocultar' and $rel_lucro == 'ocultar' and $rel_lucro_pago == 'ocultar' and $rel_produtos == 'ocultar'){
	$menu_rel = 'ocultar';
}else{
	$menu_rel = '';
}



?>